<VirtualHost *:80>
    # Serve files from a custom document root.
    DocumentRoot /var/www/protected

    # Use server-side includes to render the site. The use of server-side
    # includes is specific to this example. Depending on the application you're
    # protecting you may need other configuration within the <Directory>
    # section or you may not need a <Directory> section at all.
    <Directory /var/www/protected>
        # Enable server-side include parsing of .shtml files and configure
        # index.shtml as a valid "index" page for a directory.
        AddType text/html .shtml
        AddOutputFilter INCLUDES .shtml
        Options +Includes +Indexes
        DirectoryIndex index.shtml
    </Directory>

    # The "/Shibboleth.sso" location is "special" and is handled by the
    # Shibboleth module.
    <Location /Shibboleth.sso>
        SetHandler shib
    </Location>

    # Protect entire site with Raven authentication.
    <Location />
        # Use Shibboleth to provide SAML 2.0 integration with Apache.
        AuthType shibboleth

        # Initiate a new session with Raven SAML 2.0 if one did not previously
        # exist.
        ShibRequireSession On

        <RequireAll>
            # Require that authentication succeeded.
            Require valid-user

            # Require that the user is a Cambridge University member. THIS IS
            # REQUIRED TO AVOID LETTING NON-CAMBRIDGE USERS SIGN IN TO YOUR
            # SITE.
            Require shib-attr affiliation member@cam.ac.uk

            # If you wish to restrict access to a particular lookup group, set
            # the numeric group number here. Only sites hosted from domains
            # ending in .cam.ac.uk will have lookup groups given to them.
            # Alternatively you could use mod_authz_ldap and use Lookup directly as
            # described in the Raven documentation.
            #
            # Require shib-attr groupID 123456
        </RequireAll>
    </Location>
</VirtualHost>

# vim: syntax=apache ts=4 sw=4 sts=4 sr et
